zenilib: zenilib/jni/external/zlib/gzguts.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Typedefs | Functions
gzguts.h File Reference
`#include <stdio.h>`
`#include "zlib.h"`
`#include <fcntl.h>`

Go to the source code of this file.

## Classes

struct | gz_state

## Macros

#define | COPY 1 /* copy input directly */
#define | GT_OFF(x) (sizeof(int) == sizeof(z_off64_t) && (x) > gz_intmax())
#define | GZ_APPEND 1 /* mode set to GZ_WRITE after the file is opened */
#define | GZ_NONE 0
#define | GZ_READ 7247
#define | GZ_WRITE 31153
#define | GZBUFSIZE 8192
#define | GZIP 2 /* decompress a gzip stream */
#define | local static
#define | LOOK 0 /* look for a gzip header */
#define | ZLIB_INTERNAL
#define | zstrerror() "stdio error (consult errno)"

## Typedefs

typedef gz_state FAR * | gz_statep

## Functions

voidp malloc | OF ((uInt size))
void free | OF ((voidpf ptr))
ZEXTERN gzFile ZEXPORT gzopen64 | OF ((const char *, const char *))
ZEXTERN z_off64_t ZEXPORT gzseek64 | OF ((gzFile, z_off64_t, int))
ZEXTERN z_off64_t ZEXPORT gztell64 | OF ((gzFile))
void ZLIB_INTERNAL gz_error | OF ((gz_statep, int, const char *))
unsigned ZLIB_INTERNAL gz_intmax | OF ((void))

## Macro Definition Documentation

#define COPY 1 /* copy input directly */

Definition at line 82 of file gzguts.h.

Referenced by gz_head(), gz_make(), gzread(), gzseek64(), inflate(), inflate_codes(), and inflateMark().

#define GT_OFF | ( |  | x | ) | (sizeof(int) == sizeof(z_off64_t) && (x) > gz_intmax())

Definition at line 131 of file gzguts.h.

Referenced by gz_skip(), gz_zero(), and gzseek64().

#define GZ_APPEND 1 /* mode set to GZ_WRITE after the file is opened */

Definition at line 78 of file gzguts.h.

Referenced by gz_open().

#define GZ_NONE 0

Definition at line 75 of file gzguts.h.

Referenced by gz_open().

#define GZ_READ 7247

Definition at line 76 of file gzguts.h.

Referenced by gz_open(), gz_reset(), gzbuffer(), gzclearerr(), gzclose(), gzclose_r(), gzdirect(), gzeof(), gzerror(), gzgetc(), gzgets(), gzoffset64(), gzread(), gzrewind(), gzseek64(), gztell64(), and gzungetc().

#define GZ_WRITE 31153

Definition at line 77 of file gzguts.h.

Referenced by gz_open(), gzbuffer(), gzclearerr(), gzclose_w(), gzeof(), gzerror(), gzflush(), gzoffset64(), gzprintf(), gzputc(), gzseek64(), gzsetparams(), gztell64(), and gzwrite().

#define GZBUFSIZE 8192

Definition at line 72 of file gzguts.h.

Referenced by gz_open().

#define GZIP 2 /* decompress a gzip stream */

Definition at line 83 of file gzguts.h.

#define local static

Definition at line 40 of file gzguts.h.

#define LOOK 0 /* look for a gzip header */

Definition at line 81 of file gzguts.h.

Referenced by gz_decomp(), gz_make(), gz_reset(), gzdirect(), and gzread().

#define ZLIB_INTERNAL

Definition at line 18 of file gzguts.h.

#define zstrerror | ( |  | ) | "stdio error (consult errno)"

Definition at line 59 of file gzguts.h.

## Typedef Documentation

typedef gz_state FAR* gz_statep

Definition at line 116 of file gzguts.h.

## Function Documentation

voidp malloc OF | ( | (uInt size) |  | ) |

void free OF | ( | (voidpf ptr) |  | ) |

ZEXTERN gzFile ZEXPORT gzopen64 OF | ( | (const char *, const char *) |  | ) |

ZEXTERN z_off64_t ZEXPORT gzseek64 OF | ( | (gzFile, z_off64_t, int) |  | ) |

ZEXTERN z_off64_t ZEXPORT gztell64 OF | ( | (gzFile) |  | ) |

void ZLIB_INTERNAL gz_error OF | ( | (gz_statep, int, const char *) |  | ) |

unsigned ZLIB_INTERNAL gz_intmax OF | ( | (void) |  | ) |